%global momorel 3
%global md5sum_src0 d5fe25d3cfa0a64cc77681f15f9c3159
%global md5sum_src2 fd81a739ae8145bb9729fa9665ef426c
%define tarball xf86-video-via
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/drivers

%define with_xvmc 1

Summary:   Xorg X11 via video driver
Name:      xorg-x11-drv-via
Version:   0.2.2
Release: %{momorel}m%{?dist}
URL:       http://www.x.org/
License:   MIT/X
Group:     User Interface/X Hardware Support
BuildRoot: %{_tmppath}/%{name}-%{version}-root
%global xorgurl http://xorg.freedesktop.org/releases/individual
%NoSource 0 %{xorgurl}/driver/%{tarball}-%{version}.tar.bz2 %{md5sum_src0}
Source1:   via.xinf
%NoSource 2 http://dl.sourceforge.net/sourceforge/unichrome/xf86-video-unichrome-0.2.6.tar.gz %{md5sum_src2}

Patch0:	    via-0.2.1-assert.patch
Patch1:	    via-0.2.1-build-fix.patch
Patch2:     xf86-video-unichrome-0.2.6-stdint.patch
Patch3:     xf86-video-via-0.2.2-stdint.patch

ExclusiveArch: %{ix86} x86_64

BuildRequires: pkgconfig
BuildRequires: xorg-x11-server-sdk >= 1.0.99.901
%if %{with_xvmc}
BuildRequires: libXvMC-devel
%endif
BuildRequires: libdrm-devel >= 2.0-1

Requires:  xorg-x11-server-Xorg >= 1.0.99.901

%description 
X.Org X11 via video driver.

%if %{with_xvmc}
%package devel
Summary:   Xorg X11 via video driver XvMC development package
Group:     Development/System
Requires:  %{name} = %{version}-%{release}

%description devel
X.Org X11 via video driver XvMC development package.
%endif

%prep
%setup -q -b2 -n %{tarball}-%{version}
%patch0 -p1 -b .assert
%patch1 -p1 -b .jx
%patch3 -p1 -b .stdint
pushd ../xf86-video-unichrome-0.2.6
%patch2 -p1 -b .stdint
popd

%build
%configure --disable-static
%make
pushd ../xf86-video-unichrome-0.2.6
./autogen.sh
%configure
%make
popd

%install
rm -rf --preserve-root %{buildroot}

make install DESTDIR=%{buildroot}

pushd ../xf86-video-unichrome-0.2.6
make install DESTDIR=%{buildroot}
popd

mkdir -p %{buildroot}%{_datadir}/hwdata/videoaliases
install -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/hwdata/videoaliases/

find %{buildroot} -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root,-)
%doc ../xf86-video-unichrome-0.2.6/README
%{driverdir}/via_drv.so
%{_datadir}/hwdata/videoaliases/via.xinf
%if %{with_xvmc}
%{_libdir}/libviaXvMC.so.1
%{_libdir}/libviaXvMC.so.1.0.0
%{_libdir}/libviaXvMCPro.so.1
%{_libdir}/libviaXvMCPro.so.1.0.0
%endif
%{_mandir}/man4/via.4*

%if %{with_xvmc}
%files devel
%defattr(-,root,root,-)
%{_libdir}/libviaXvMC.so
%{_libdir}/libviaXvMCPro.so
%endif

%changelog
* Tue Jul 31 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.2-2m)
- update via.xinf

* Tue Jul 31 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.2-2m)
- add xf86-video-via-0.2.2-stdint.patch

* Sun Nov 12 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.2-1m)
- update to 0.2.2

* Mon Oct  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.1-4m)
- add patch0, 1 from FC
- add patch2 for unichrome(drm.h xf86drm.h)

* Wed Aug 30 2006 mako_katta <mako_katta@yahoo.co.jp>
- (0.2.1-3m)
- add Source2 from Unichrome Project(http://unichrome.sourceforge.net)

* Wed May 24 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.1-2m)
- delete duplicated dir

* Tue Apr 11 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.1-1m)
- update 0.2.1(Xorg-7.1RC1)

* Fri Feb 24 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.1.33.2-2m)
- import to Momonga

* Wed Feb 22 2006 Mike A. Harris <mharris@redhat.com> 0.1.33.2-2
- Install via.xinf, which was inadvertently left out of packaging (#182506)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> 0.1.33.2-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 18 2006 Mike A. Harris <mharris@redhat.com> 0.1.33.2-1
- Updated xorg-x11-drv-via to version 0.1.33.2 from X11R7.0

* Tue Dec 20 2005 Mike A. Harris <mharris@redhat.com> 0.1.33.1-1
- Updated xorg-x11-drv-via to version 0.1.33.1 from X11R7 RC4
- Removed 'x' suffix from manpage dirs to match RC4 upstream.
- Re-enabled the XvMC libs, etc.
- Updated libdrm dependency to >= 2.0-1

* Wed Nov 16 2005 Mike A. Harris <mharris@redhat.com> 0.1.32-1
- Updated xorg-x11-drv-via to version 0.1.32 from X11R7 RC2
- Add rpm macro with_xvmc, and disable it by default, as upstream does not
  build the via XvMC modules in RC2.

* Fri Nov 04 2005 Mike A. Harris <mharris@redhat.com> 0.1.31.1-1
- Updated xorg-x11-drv-via to version 0.1.31.1 from X11R7 RC1
- Fix *.la file removal.
- Added "BuildRequires: libXvMC-devel" dependency.
- Added "BuildRequires: libdrm-devel >= 1.0.5-1" dependency as it is required
  to build this version of the via driver aparently.
- Added xorg-x11-drv-via-0.1.31.1-buildfix-CVSHEAD.patch to fix the driver
  to actually build.
- Added 'devel' subpackage for XvMC .so

* Tue Oct 04 2005 Mike A. Harris <mharris@redhat.com> 0.1.31-1
- Update BuildRoot to use Fedora Packaging Guidelines.
- Deglob file manifest.
- Limit "ExclusiveArch" to x86, x86_64

* Fri Sep 02 2005 Mike A. Harris <mharris@redhat.com> 0.1.31-0
- Initial spec file for via video driver generated automatically
  by my xorg-driverspecgen script.
